#!/usr/bin/env node
'use strict';

process.env.NODE_ENV = 'production';

require('babel-register')(require('../config/package'));

var command = process.argv[2];
var folder = process.argv[3];

switch (command) {
  case 'build':
    {
      require('../scripts/build')({
        folder: folder
      });
      break;
    }
  case 'build:frontful':
    {
      require('../scripts/build')({
        transpile: false,
        folder: folder
      });
      break;
    }
  case 'deploy':
    {
      require('../scripts/deploy')({
        folder: folder
      });
      break;
    }
  case 'deploy:frontful':
    {
      require('../scripts/deploy')({
        transpile: false,
        folder: folder
      });
      break;
    }
  default:
    {}
}